import React from "react";
import { Animated } from "react-native";
declare type Props = {
    actions?: any;
    cartCount?: number;
    openOnMount?: boolean;
    listenKeyboard?: boolean;
    distanceToEdge?: any;
    visible?: boolean;
    buttonSize?: number;
    shadow?: any;
    iconWidth?: number;
    iconHeight?: number;
    animated?: boolean;
    onClose?: any;
    overrideWithAction?: boolean;
    floatingIcon?: any;
    dismissKeyboardOnPress?: boolean;
    onOpen?: any;
    onStateChange?: any;
    onPressBackdrop?: any;
    actionsPaddingTopBottom?: number;
    buttonColor?: any;
    color?: any;
    position?: any;
    showBackground?: any;
    onPressItem?: (name: string) => void;
    onPressMain?: (action: boolean) => void;
};
declare class FloatingAction extends React.Component<Props, any> {
    mainBottomAnimation: Animated.Value;
    actionsBottomAnimation: Animated.Value;
    animation: Animated.Value;
    actionsAnimation: Animated.Value;
    visibleAnimation: Animated.Value;
    fadeAnimation: Animated.Value;
    keyboardWillShowListener: any;
    keyboardWillHideListener: any;
    constructor(props: any);
    componentDidMount(): void;
    componentDidUpdate(prevProps: any): void;
    componentWillUnmount(): void;
    get distanceToHorizontalEdge(): any;
    get distanceToVerticalEdge(): any;
    onKeyboardShow: (e: any) => void;
    onKeyboardHideHide: () => void;
    getShadow: () => any;
    getIcon: () => JSX.Element;
    reset: () => void;
    animateButton: () => void;
    updateState: (nextState: any, callback: any) => void;
    handlePressBackdrop: () => void;
    handlePressItem: (itemName: any) => void;
    renderMainButton(): JSX.Element;
    renderActions(): JSX.Element;
    renderTappableBackground(): JSX.Element;
    render(): JSX.Element;
}
export default FloatingAction;
