declare const _default: {
    Shapes: {
        id: number;
        images: string[];
    }[];
    heightFeetOptions: {
        label: string;
        value: string;
    }[];
    heightInchOptions: {
        label: string;
        value: string;
    }[];
    bandSize: string[];
    chestSize: string[];
    cupSize: string[];
    waistOption: {
        label: string;
        value: string;
    }[];
    hipOption: {
        label: string;
        value: string;
    }[];
    male_max_weight: number;
    male_min_weight: number;
    female_max_weight: number;
    female_min_weight: number;
    body_shape: {
        id: number;
        name: string;
    }[];
    bodyShapeMatrix: ({
        id: number;
        name: string;
        waist_min: number;
        waist_max: number;
        hip_min: number;
        hip_max: number;
    } | {
        id: number;
        name: string;
        waist_min: number;
        waist_max: number;
        hip_min: number;
        hip_max?: undefined;
    } | {
        id: number;
        name: string;
        waist_max: number;
        hip_min: number;
        hip_max: number;
        waist_min?: undefined;
    } | {
        id: number;
        name: string;
        waist_min: number;
        waist_max: number;
        hip_max: number;
        hip_min?: undefined;
    })[];
};
export default _default;
